# AP4_SampleDescRtpConstructor Class Reference

`#include <Ap4RtpHint.h>`

Inheritance diagram for AP4_SampleDescRtpConstructor:

List of all members.

## Public Member Functions
| AP4_SampleDescRtpConstructor (AP4_ByteStream &stream)
| AP4_SampleDescRtpConstructor (AP4_UI08 track_ref_index, AP4_UI16 length, AP4_UI32 sample_desc_index, AP4_UI32 sample_desc_offset)
AP4_UI08 | GetTrackRefIndex () const
AP4_UI16 | GetLength () const
AP4_UI32 | GetSampleDescIndex () const
AP4_UI32 | GetSampleDescOffset () const
virtual AP4_Size | GetConstructedDataSize ()
## Protected Member Functions
virtual AP4_Result | DoWrite (AP4_ByteStream &stream)
## Protected Attributes
AP4_UI08 | m_TrackRefIndex
AP4_UI16 | m_Length
AP4_UI32 | m_SampleDescIndex
AP4_UI32 | m_SampleDescOffset

## Detailed Description

Definition at line 257 of file Ap4RtpHint.h.

## Constructor & Destructor Documentation

AP4_SampleDescRtpConstructor::AP4_SampleDescRtpConstructor | ( | AP4_ByteStream & | stream | ) |

AP4_SampleDescRtpConstructor::AP4_SampleDescRtpConstructor | ( | AP4_UI08 | track_ref_index,
|  | AP4_UI16 | length,
|  | AP4_UI32 | sample_desc_index,
|  | AP4_UI32 | sample_desc_offset |
| ) |  |  |

## Member Function Documentation

AP4_UI08 AP4_SampleDescRtpConstructor::GetTrackRefIndex | ( |  | ) | const`[inline]`

Definition at line 268 of file Ap4RtpHint.h.

References m_TrackRefIndex.

AP4_UI16 AP4_SampleDescRtpConstructor::GetLength | ( |  | ) | const`[inline]`

Definition at line 269 of file Ap4RtpHint.h.

References m_Length.

AP4_UI32 AP4_SampleDescRtpConstructor::GetSampleDescIndex | ( |  | ) | const`[inline]`

Definition at line 270 of file Ap4RtpHint.h.

References m_SampleDescIndex.

AP4_UI32 AP4_SampleDescRtpConstructor::GetSampleDescOffset | ( |  | ) | const`[inline]`

Definition at line 271 of file Ap4RtpHint.h.

References m_SampleDescOffset.

virtual AP4_Size AP4_SampleDescRtpConstructor::GetConstructedDataSize | ( |  | ) | `[inline, virtual]`

Implements AP4_RtpConstructor.

Definition at line 274 of file Ap4RtpHint.h.

References m_Length.

virtual AP4_Result AP4_SampleDescRtpConstructor::DoWrite | ( | AP4_ByteStream & | stream | ) | `[protected, virtual]`

Implements AP4_RtpConstructor.

## Member Data Documentation

AP4_UI08 AP4_SampleDescRtpConstructor::m_TrackRefIndex`[protected]`

Definition at line 281 of file Ap4RtpHint.h.

Referenced by GetTrackRefIndex().

AP4_UI16 AP4_SampleDescRtpConstructor::m_Length`[protected]`

Definition at line 282 of file Ap4RtpHint.h.

Referenced by GetConstructedDataSize(), and GetLength().

AP4_UI32 AP4_SampleDescRtpConstructor::m_SampleDescIndex`[protected]`

Definition at line 283 of file Ap4RtpHint.h.

Referenced by GetSampleDescIndex().

AP4_UI32 AP4_SampleDescRtpConstructor::m_SampleDescOffset`[protected]`

Definition at line 284 of file Ap4RtpHint.h.

Referenced by GetSampleDescOffset().

The documentation for this class was generated from the following file:

- Ap4RtpHint.h